Bug 170704 - LayoutTest webrtc/video-mute.html is a flaky failure
Summary: LayoutTest webrtc/video-mute.html is a flaky failure
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: youenn fablet
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-04-10 16:01 PDT by Ryan Haddad
Modified: 2017-05-01 10:15 PDT (History)
5 users (show)

See Also:


Attachments
Patch (1.24 KB, patch)
2017-04-10 17:30 PDT, youenn fablet
no flags Details | Formatted Diff | Diff
Patch (3.06 KB, patch)
2017-04-13 17:03 PDT, youenn fablet
no flags Details | Formatted Diff | Diff
Patch for landing (3.08 KB, patch)
2017-04-17 14:23 PDT, youenn fablet
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ryan Haddad 2017-04-10 16:01:16 PDT
LayoutTest webrtc/video-mute.html is a flaky failure

https://build.webkit.org/results/Apple%20Sierra%20Debug%20WK2%20(Tests)/r215183%20(405)/results.html

https://webkit-test-results.webkit.org/dashboards/flakiness_dashboard.html#showAllRuns=true&tests=webrtc%2Fvideo-mute.html

--- /Volumes/Data/slave/sierra-debug-tests-wk2/build/layout-test-results/webrtc/video-mute-expected.txt
+++ /Volumes/Data/slave/sierra-debug-tests-wk2/build/layout-test-results/webrtc/video-mute-actual.txt
@@ -1,4 +1,4 @@
 
 
-PASS Outgoing muted/unmuted video track 
+FAIL Outgoing muted/unmuted video track assert_false: track is reenabled, video is not black expected false got true
Comment 1 Ryan Haddad 2017-04-10 16:02:29 PDT
This test is a flaky failure on Sierra Debug WK2 and iOS 10 Simulator Release WK2, but it seems to be failing or crashing on every run on iOS 10 Simulator Debug WK2.
Comment 2 youenn fablet 2017-04-10 17:30:24 PDT
Created attachment 306763 [details]
Patch
Comment 3 WebKit Commit Bot 2017-04-11 15:48:19 PDT
Comment on attachment 306763 [details]
Patch

Clearing flags on attachment: 306763

Committed r215253: <http://trac.webkit.org/changeset/215253>
Comment 4 WebKit Commit Bot 2017-04-11 15:48:21 PDT
All reviewed patches have been landed.  Closing bug.
Comment 5 Ryan Haddad 2017-04-13 12:35:23 PDT
This test is still flaky. Reopening.
Comment 6 Ryan Haddad 2017-04-13 15:48:42 PDT
Marked test as flaky in https://trac.webkit.org/changeset/215344/webkit
Comment 7 youenn fablet 2017-04-13 17:03:50 PDT
Created attachment 307049 [details]
Patch
Comment 8 Eric Carlson 2017-04-17 14:20:43 PDT
Comment on attachment 307049 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=307049&action=review

> LayoutTests/webrtc/video-mute.html:10
> +        <video id="video" autoplay="" width="640" height="480"></video>

Nit: this isn't XML, so the autoplay attribute doesn't need a value.
Comment 9 youenn fablet 2017-04-17 14:23:08 PDT
Created attachment 307296 [details]
Patch for landing
Comment 10 WebKit Commit Bot 2017-04-17 15:04:59 PDT
Comment on attachment 307296 [details]
Patch for landing

Clearing flags on attachment: 307296

Committed r215434: <http://trac.webkit.org/changeset/215434>
Comment 11 WebKit Commit Bot 2017-04-17 15:05:01 PDT
All reviewed patches have been landed.  Closing bug.